Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.music
Class KnobDescription

    java.lang.Object
      |
      +--quicktime.util.QTByteObject
            |
            +--quicktime.std.music.KnobDescription

All Implemented Interfaces:
  quicktime.jdirect.PrimitivesLib, java.io.Serializable, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public class KnobDescription
extends QTByteObject

A KnobDescription contains information about a particular knob that is used by a particular MusicComponent

See Also:
  Serialized Form

Field Summary
`static int` | `kNativeSize`

Fields inherited from interface quicktime.jdirect.PrimitivesLib
`JDirect_MacOSX, libraryInstance`

Method Summary
`int` | `getDefaultValue()`
`int` | `getFlags()`
`int` | `getHighValue()`
`int` | `getKnobID()`
`int` | `getLowValue()`
`java.lang.String` | `getName()`

Methods inherited from class quicktime.util.QTByteObject
`equals, fromArray, getBytes, getSize, toString`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### kNativeSize

    public static final int kNativeSize

Method Detail

### getName

    public java.lang.String getName()

  Returns:
    the name of the knob

### getLowValue

    public int getLowValue()

  Returns:
    the lowest value of the knob

### getHighValue

    public int getHighValue()

  Returns:
    the highest value of the knob

### getDefaultValue

    public int getDefaultValue()

  Returns:
    the default value of the knob

### getFlags

    public int getFlags()

  Returns:
    the knob's flags

### getKnobID

    public int getKnobID()

  Returns:
    the ID of the knob - to use in other calls to the MusicComponent

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD